org.apache.tools.ant.taskdefs.optional.perforce

## Class P4Revert

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.optional.perforce.P4Base
      - - org.apache.tools.ant.taskdefs.optional.perforce.P4Revert

All Implemented Interfaces:
  java.lang.Cloneable

    public class P4Revert
    extends P4Base

Revert Perforce open files or files in a changelist

### Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base

`failOnError, P4Client, P4CmdOpts, P4Opts, P4Port, P4User, P4View, shell, util`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`P4Revert()`

### Method Summary

Methods
`void` `execute()` do the work
`void` `setChange(java.lang.String revertChange)` The changelist to revert; optional.
`void` `setRevertOnlyUnchanged(boolean onlyUnchanged)` flag to revert only unchanged files (p4 revert -a); optional, default false.

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base

`execP4Command, execP4Command, getErrorMessage, getInError, init, setClient, setCmdopts, setErrorMessage, setFailonerror, setGlobalopts, setInError, setPort, setUser, setView`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### P4Revert

    public P4Revert()

### Method Detail

#### setChange

    public void setChange(java.lang.String revertChange)
                   throws BuildException

The changelist to revert; optional.

Parameters:
  `revertChange` - : the change list to revert
Throws:
  `BuildException` - if the change list is null or empty string

#### setRevertOnlyUnchanged

    public void setRevertOnlyUnchanged(boolean onlyUnchanged)

flag to revert only unchanged files (p4 revert -a); optional, default false.

Parameters:
  `onlyUnchanged` - if set to true revert only unchanged files

#### execute

    public void execute()
                 throws BuildException

do the work

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - if an error occurs during the execution of the Perforce command and failonError is set to true